Subject: Re: samples/kdbus/kdbus-workers.c and cross compiling MIPS

From: Michael Ellerman <[email-masked]>
Date: Fri, 31 Jul 2015 16:54:18 +1000

On Fri, 2015-07-31 at 09:55 +1000, Stephen Rothwell wrote:
> Hi Paul,
> 
> On Thu, 30 Jul 2015 11:32:05 -0400 Paul Gortmaker <[email-masked]> wrote:
> >
> > Well, it only shows up when we cross compile for mips.  It does not
> > seem to be showing up for any other arch (and we cover ~10 of them).
> > Nor does it show up for x86 builds.  Also note that the main linux-next
> > build machine is actually a PowerPC host.
> 
> Actually I do my linux-next builds on an x86_64 host, and the overnight
> builds are spread between that and a PowerPC host.
> 
> > > Please note that this is HOSTCC running, so it does *NOT* require the
> > > toolchain for your cross-compiled architecture.
> > > 
> > > Also, please tell me why your system has "linux/memfd.h" available,
> > > but __NR_memfd_create is undefined?
> > 
> > My local system is a bog standard ubuntu 14.10 and it sees it.  I dont
> > know what distro the linux-next IBM powerpc builder is based on but it
> > also sees it....
> 
> Our build hosts are running Debian stable and Ubuntu <mumble> (I think -
> I will check on this latter).

The x86 builders are debian:jessie and the ppc one is currently Ubuntu 14.04.2.

cheers